<?php function alertas_pedidos_html(){ ?>
<audio id="aviso_beep" data-estado="0" style="display: none;">
	<source src="libreria/media/message_beep.mp3" type="audio/mpeg" preload="auto">
</audio>
<?php } ?>
<?php if (false){ ?><script><?php } ?>
<?php function alertas_pedidos_javascript(){ ?>
function verificarPedidos() {
	$.ajax({
		url: 'control/ctrl_movimiento.php',
		dataType: "json",
		type: 'POST',
		data: {
			accion: "aviso_pedidos_almacen",
			almacen: $("#txt_tienda").val(),
		},
		success: function(response) {
			//console.log(response);
			if (response.estado === 'ok') {
				//activarAlerta();
			<?php if ($_SESSION["control"]["tipo_editor"] == "administracion_general" || $_SESSION["control"]["tipo_editor"] == "administracion_almacen") { ?>
				let spanDentroEnlace = $(".section_menu .row_menu a[href='distribuir.php'] div");
				if ($("#txt_tienda").val() > 0){
					spanDentroEnlace = $(".section_menu .row_menu a[href='pedidos.php'] div");
				} 
			<?php } else if ($_SESSION["control"]["tipo_editor"] == "administracion_tienda"){ ?>
				let spanDentroEnlace = $(".section_menu .row_menu a[href='pedidos.php'] div");
			<?php } else { ?>
				let spanDentroEnlace = $("void_div");
			<?php } ?>
				if (spanDentroEnlace.length > 0){
					$("header .menu_button").css("border-color", "#ff0000");
					spanDentroEnlace.html(response.cantidad);
					spanDentroEnlace.fadeOut(200, function() {
						if ($("#aviso_beep").attr("data-estado") == "1"){
							let audio_beep = $("#aviso_beep")[0];
							if (audio_beep.paused) {
								audio_beep.play();
							} else {
								audio_beep.pause();
								audio_beep.currentTime = 0;
								audio_beep.play();
							}
						}
						spanDentroEnlace.css("display", "flex");
						spanDentroEnlace.fadeIn(200);
					});
					$("header .menu_button").fadeOut(200, function() {
						$("header .menu_button").fadeIn(200);
					});
				}
			} else {
				//desactivarAlerta();
			<?php if ($_SESSION["control"]["tipo_editor"] == "administracion_general" || $_SESSION["control"]["tipo_editor"] == "administracion_almacen") { ?>
				$("header .menu_button").css("border-color", "");
				$("header .menu_button").css("display", "flex");
				let spanDentroEnlace = $(".section_menu .row_menu a[href='distribuir.php'] div");
			<?php } else if ($_SESSION["control"]["tipo_editor"] == "administracion_tienda"){ ?>
				let spanDentroEnlace = $(".section_menu .row_menu a[href='pedidos.php'] div");
			<?php } else { ?>
				let spanDentroEnlace = $("void_div");
			<?php } ?>
				spanDentroEnlace.css("display", "none");
			}
			/*if (response.cambiar_precio_venta != true){
				let tool_precio_editar = $("#tool_precio_editar");
				if (tool_precio_editar.length > 0){
					$("#tool_precio_editar").prop("checked", false);
					$("#tool_precio_editar").change();
					$("#tool_precio_editar").parent().remove();
					$("#btn_comprobante_2").remove();
				}
			}*/
		},
		error: function() {
			//desactivarAlerta();
			$("header .menu_button").css("border-color", "");
			$("header .menu_button").css("display", "flex");
		}
	});
}
<?php } ?>
<?php function alertas_pedidos_ready(){ ?>
// Llamar a verificarAviso cada 15 segundos
//setInterval(verificarPedidos, 15000);
setInterval(verificarPedidos, 5000);
$(document).click(function(){
	if ($("#aviso_beep").attr("data-estado") == "0"){
		$("#aviso_beep").attr("data-estado", 1);
	}
});
<?php } ?>
<?php if (false){ ?></script><?php } ?>
